/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_APREPROD                                                 */
/* Tabela : APREPROD                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 14/03/2002 - Alexis Tolentino de Moura                                     */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_APREPROD
BEFORE INSERT OR UPDATE OR DELETE
ON APREPROD FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUAPRO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDAPRERECE,0) <> NVL(:NEW.CDAPRERECE,0)) OR
         (NVL(:OLD.CDPRODUTO,0)  <> NVL(:NEW.CDPRODUTO,0)) THEN
         :NEW.DTULTATUAPRO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('APREPROD', '', 'CDAPRERECE='||:OLD.CDAPRERECE||';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE APREPROD MODIFY DTULTATUAPRO DEFAULT SYSDATE
/
