/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOEVENTO                                               */
/* Tabela : TIPOEVENTO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 21/09/2006 - ARNALDO COUTINHO BRITO JNIOR                                 */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPOVENTO'    and
            type = 'TR'                      and
            u.uid = o.uid           	     and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPOEVENTO
GO

CREATE TRIGGER DTULTATU_TIPOEVENTO
ON TIPOEVENTO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOEVENTO', null, 'CDTIPOEVENTO=' + CDTIPOEVENTO + ';',                                     GETDATE() FROM DELETED)

   END
   ELSE BEGIN
      UPDATE TIPOEVENTO
      SET DTULTATUTPEV = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOEVENTO.CDTIPOEVENTO,0)   = ISNULL(INSERTED.CDTIPOEVENTO,0)) AND
            (ISNULL(TIPOEVENTO.NMTIPOEVENTO,0)   = ISNULL(INSERTED.NMTIPOEVENTO,0)) AND
            (ISNULL(TIPOEVENTO.NRDIASALTCONV,0)  = ISNULL(INSERTED.NRDIASALTCONV,0)) AND
            (ISNULL(TIPOEVENTO.CDTPCTRECEBORE,0) = ISNULL(INSERTED.CDTPCTRECEBORE,0)) AND			
            (ISNULL(TIPOEVENTO.IDDEGUSTPEVE,0)   = ISNULL(INSERTED.IDDEGUSTPEVE,0)) AND
            (ISNULL(TIPOEVENTO.VRPEJUROSTIPOEVENTO,0) = ISNULL(INSERTED.VRPEJUROSTIPOEVENTO,0))AND
            (ISNULL(TIPOEVENTO.IDPEJUROSTIPOEVENTO,0) = ISNULL(INSERTED.IDPEJUROSTIPOEVENTO,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TIPOEVENTO','5.65.003';
GO
